Merge Mainline

This commit is contained in:
CN_SZTL 2020-11-13 19:51:48 +08:00
commit 8b3e67bd0c
No known key found for this signature in database
GPG Key ID: 6850B6345C862176
12 changed files with 140 additions and 84 deletions

View File

@ -264,6 +264,7 @@
42.242.0.0/15
42.244.0.0/14
42.248.0.0/13
43.128.0.0/10
43.224.12.0/22
43.224.24.0/22
43.224.44.0/22
@ -953,7 +954,6 @@
43.251.232.0/22
43.251.236.0/22
43.251.244.0/22
43.252.40.0/22
43.252.48.0/22
43.252.56.0/22
43.252.224.0/22
@ -1112,7 +1112,6 @@
45.120.164.0/22
45.120.220.0/22
45.120.240.0/22
45.121.20.0/22
45.121.52.0/22
45.121.64.0/22
45.121.68.0/22
@ -1223,7 +1222,6 @@
45.125.16.0/22
45.125.24.0/22
45.125.28.0/22
45.125.32.0/22
45.125.44.0/22
45.125.52.0/22
45.125.56.0/22
@ -1249,7 +1247,6 @@
45.127.12.0/22
45.127.96.0/22
45.127.116.0/22
45.127.124.0/22
45.127.128.0/22
45.127.144.0/22
45.127.148.0/22
@ -1289,7 +1286,6 @@
45.249.36.0/22
45.249.92.0/22
45.249.112.0/22
45.249.180.0/22
45.249.188.0/22
45.249.192.0/22
45.249.196.0/22
@ -1471,8 +1467,6 @@
45.253.236.0/22
45.253.240.0/22
45.253.244.0/22
45.253.248.0/22
45.253.252.0/22
45.254.0.0/22
45.254.4.0/22
45.254.8.0/22
@ -1784,7 +1778,9 @@
61.29.128.0/18
61.29.192.0/19
61.29.224.0/20
61.29.240.0/20
61.29.240.0/21
61.29.248.0/22
61.29.254.0/23
61.45.128.0/18
61.45.224.0/20
61.47.128.0/18
@ -3774,7 +3770,6 @@
103.119.224.0/22
103.120.52.0/22
103.120.72.0/22
103.120.76.0/24
103.120.88.0/22
103.120.96.0/22
103.120.100.0/22
@ -3902,7 +3897,6 @@
103.139.212.0/23
103.140.8.0/23
103.140.14.0/23
103.140.46.0/23
103.140.70.0/23
103.140.126.0/23
103.140.140.0/23
@ -3916,7 +3910,6 @@
103.141.58.0/23
103.141.128.0/23
103.141.186.0/23
103.141.190.0/23
103.141.242.0/23
103.142.0.0/23
103.142.28.0/23
@ -4060,6 +4053,54 @@
103.152.250.0/23
103.153.4.0/23
103.153.36.0/23
103.153.98.0/23
103.153.100.0/23
103.153.114.0/23
103.153.122.0/23
103.153.128.0/23
103.153.132.0/23
103.153.138.0/23
103.153.146.0/23
103.153.160.0/23
103.154.18.0/23
103.154.30.0/23
103.154.32.0/23
103.154.40.0/23
103.154.66.0/23
103.154.162.0/23
103.154.164.0/23
103.154.168.0/23
103.154.242.0/23
103.155.14.0/23
103.155.16.0/23
103.155.34.0/23
103.155.48.0/23
103.155.76.0/23
103.155.100.0/23
103.155.110.0/23
103.155.120.0/23
103.155.214.0/23
103.155.248.0/23
103.156.24.0/23
103.156.28.0/23
103.156.68.0/23
103.156.78.0/23
103.156.104.0/23
103.156.158.0/23
103.156.166.0/23
103.156.174.0/23
103.156.186.0/23
103.156.228.0/23
103.157.30.0/23
103.157.138.0/23
103.157.174.0/23
103.157.212.0/23
103.157.234.0/23
103.157.254.0/23
103.158.0.0/23
103.158.8.0/23
103.158.13.0/24
103.158.16.0/23
103.192.0.0/22
103.192.4.0/22
103.192.8.0/22
@ -4096,7 +4137,6 @@
103.193.124.0/22
103.193.140.0/22
103.193.144.0/22
103.193.148.0/22
103.193.160.0/22
103.193.188.0/22
103.193.192.0/22
@ -4115,8 +4155,6 @@
103.195.148.0/22
103.195.152.0/22
103.195.160.0/22
103.195.192.0/22
103.196.60.0/22
103.196.64.0/22
103.196.72.0/22
103.196.88.0/22
@ -4528,7 +4566,6 @@
103.218.84.0/22
103.218.88.0/22
103.218.92.0/22
103.218.184.0/22
103.218.192.0/22
103.218.196.0/22
103.218.200.0/22
@ -4776,7 +4813,6 @@
103.227.212.0/22
103.227.228.0/22
103.228.12.0/22
103.228.28.0/22
103.228.88.0/22
103.228.128.0/22
103.228.136.0/22
@ -5067,7 +5103,6 @@
103.251.160.0/22
103.251.192.0/22
103.251.204.0/22
103.251.236.0/22
103.251.240.0/22
103.252.28.0/22
103.252.36.0/22
@ -5279,7 +5314,6 @@
113.208.128.0/17
113.209.0.0/16
113.212.0.0/18
113.212.64.0/22
113.212.88.0/22
113.212.100.0/22
113.212.184.0/21
@ -5307,7 +5341,8 @@
114.111.160.0/19
114.112.0.0/14
114.116.0.0/16
114.117.0.0/16
114.117.0.0/17
114.117.128.0/17
114.118.0.0/16
114.119.0.0/17
114.119.192.0/21
@ -5422,7 +5457,6 @@
116.204.216.0/22
116.204.232.0/22
116.204.236.0/22
116.204.244.0/22
116.205.0.0/16
116.206.92.0/22
116.206.176.0/22
@ -6109,6 +6143,7 @@
153.101.0.0/16
153.118.0.0/15
154.8.128.0/17
156.59.0.0/16
157.0.0.0/16
157.18.0.0/16
157.61.0.0/16

View File

@ -2157,6 +2157,11 @@ div#cbi-passwall.cbi-map fieldset > fieldset > div > div > div label input.cbi-
margin-top: 3px;
}
div#cbi-passwall.cbi-map div#set_node_div
{
background : rgba(7,34,62,.9);
}
@media screen and (max-width: 1600px) {
.main-left {
/*width: calc(0% + 15rem);*/
@ -2568,4 +2573,4 @@ div#cbi-passwall.cbi-map fieldset > fieldset > div > div > div label input.cbi-
and (orientation: landscape)
and (-webkit-min-device-pixel-ratio: 2) {
}
}

View File

@ -16,7 +16,7 @@ include $(INCLUDE_DIR)/package.mk
define Package/autocore-arm
TITLE:=Arm auto core loadbalance script.
MAINTAINER:=CN_SZTL
DEPENDS:=@(TARGET_bcm27xx||TARGET_bcm53xx||TARGET_ipq40xx||TARGET_ipq806x||TARGET_rockchip) \
DEPENDS:=@(TARGET_bcm27xx||TARGET_bcm53xx||TARGET_mvebu||TARGET_ipq40xx||TARGET_ipq806x||TARGET_rockchip) \
+TARGET_bcm53xx:nvram +(TARGET_ipq40xx||TARGET_ipq806x):lm-sensors
VARIANT:=arm
endef

View File

@ -6,6 +6,8 @@ cpu_cores="$(cat "/proc/cpuinfo" | grep "processor" | wc -l)"
if grep -q "bcm53xx" "/etc/openwrt_release"; then
cpu_freq="$(nvram get clkfreq | awk -F ',' '{print $1}')MHz"
elif grep -q "mvebu" "/etc/openwrt_release"; then
cpu_freq="$(cat "/proc/cpuinfo" | grep "BogoMIPS" | sed -n "1p" | awk -F ': ' '{print $2}')MHz"
else
cpu_freq="$(expr $(cat /sys/devices/system/cpu/cpufreq/policy0/cpuinfo_cur_freq) / 1000)MHz"
fi

View File

@ -5,10 +5,10 @@ PKG_VERSION:=6.1.15
PKG_RELEASE:=10
PKG_SOURCE_PROTO:=git
PKG_SOURCE_URL:=https://github.com/holmium/dnsforwarder.git
PKG_SOURCE_URL:=https://github.com/1715173329/dnsforwarder.git
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_SUBDIR:=$(PKG_NAME)-$(PKG_VERSION)
PKG_SOURCE_VERSION:=587e61ae4d75dc976f538088b715a3c8ee26c144
PKG_SOURCE_VERSION:=693b554e59479c2867c74f0bb5e26290b93747c5
PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_MAINTAINER:=Dennis <openwrt@tossp.com>
PKG_LICENSE:=GPL-3.0

View File

@ -30,10 +30,10 @@ switch_enable=0
switch_server=$1
CRON_FILE=/etc/crontabs/root
threads=1
run_mode="router"
GLOBAL_SERVER="nil"
NETFLIX_SERVER="nil"
UDP_RELAY_SERVER="nil"
run_mode="router"
kcp_server=""
uci_get_by_name() {
@ -663,7 +663,7 @@ start_rules() {
tun | naiveproxy) local ARG_UDP="";;
*) local ARG_UDP="-U";;
esac
local udp_server=$(uci_get_by_name $UDP_RELAY_SERVER server)
local udp_server=$(get_host_ip $(uci_get_by_name $UDP_RELAY_SERVER server))
local udp_local_port=1357
fi
fi
@ -720,7 +720,7 @@ start_rules() {
start() {
[ -f "$LOCK_FILE" ] && exit 2
touch "$LOCK_FILE"
echo "-----------start-----------" >>/tmp/ssrplus.log
echo "----------start------------" >>/tmp/ssrplus.log
mkdir -p /tmp/dnsmasq.d /tmp/dnsmasq.ssr /var/run /var/etc
cat <<-EOF >/tmp/dnsmasq.d/dnsmasq-ssr.conf
conf-dir=/tmp/dnsmasq.ssr
@ -732,12 +732,6 @@ start() {
start_switch
start_dns
add_cron
if [ "$run_mode" == "oversea" ]; then
cp -rf /etc/ssr/oversea_list.conf /tmp/dnsmasq.ssr/
else
cp -rf /etc/ssr/gfw_list.conf /tmp/dnsmasq.ssr/
cp -rf /etc/ssr/gfw_base.conf /tmp/dnsmasq.ssr/
fi
/usr/share/shadowsocksr/gfw2ipset.sh $switch_server
else
/usr/bin/ssr-rules -f
@ -788,7 +782,7 @@ stop() {
ps -w | grep -v "grep" | grep "sleep $(uci_get_by_type global switch_time)s" | awk '{print $1}' | xargs kill -9 >/dev/null 2>&1 &
ps -w | grep -v "grep" | grep "sleep 30s" | awk '{print $1}' | xargs kill -9 >/dev/null 2>&1 &
killall -q -9 ss-redir ss-local obfs-local ssr-redir ssr-local ssr-server v2ray v2ray-plugin trojan naive microsocks ipt2socks dns2socks redsocks2 pdnsd
rm -f /var/lock/ssr-chinaipset.lock /var/lock/ssr-monitor.lock
rm -f /var/lock/ssr-monitor.lock
if [ -f "/tmp/dnsmasq.d/dnsmasq-ssr.conf" ]; then
rm -rf /tmp/dnsmasq.d/dnsmasq-ssr.conf /tmp/dnsmasq.ssr /tmp/dnsmasq.oversea
/etc/init.d/dnsmasq restart >/dev/null 2>&1

View File

@ -2076,7 +2076,6 @@
103.18.208.0/22
103.18.212.0/22
103.18.224.0/22
103.19.0.0/22
103.19.12.0/22
103.19.40.0/22
103.19.44.0/22
@ -3395,7 +3394,6 @@
103.93.28.0/22
103.93.76.0/22
103.93.84.0/22
103.93.121.0/24
103.93.152.0/22
103.93.180.0/22
103.93.204.0/22

View File

@ -14376,6 +14376,8 @@ server=/park-now.com/127.0.0.1#5335
ipset=/park-now.com/gfwlist
server=/parkinfo.com/127.0.0.1#5335
ipset=/parkinfo.com/gfwlist
server=/parler.com/127.0.0.1#5335
ipset=/parler.com/gfwlist
server=/parse.com/127.0.0.1#5335
ipset=/parse.com/gfwlist
server=/parstream.com/127.0.0.1#5335
@ -15442,6 +15444,40 @@ server=/realamericanstories.org/127.0.0.1#5335
ipset=/realamericanstories.org/gfwlist
server=/realamericanstories.tv/127.0.0.1#5335
ipset=/realamericanstories.tv/gfwlist
server=/realclear.com/127.0.0.1#5335
ipset=/realclear.com/gfwlist
server=/realclearbooks.com/127.0.0.1#5335
ipset=/realclearbooks.com/gfwlist
server=/realcleardefense.com/127.0.0.1#5335
ipset=/realcleardefense.com/gfwlist
server=/realcleareducation.com/127.0.0.1#5335
ipset=/realcleareducation.com/gfwlist
server=/realclearenergy.org/127.0.0.1#5335
ipset=/realclearenergy.org/gfwlist
server=/realclearfoundation.org/127.0.0.1#5335
ipset=/realclearfoundation.org/gfwlist
server=/realclearhealth.com/127.0.0.1#5335
ipset=/realclearhealth.com/gfwlist
server=/realclearhistory.com/127.0.0.1#5335
ipset=/realclearhistory.com/gfwlist
server=/realclearinvestigations.com/127.0.0.1#5335
ipset=/realclearinvestigations.com/gfwlist
server=/realclearlife.com/127.0.0.1#5335
ipset=/realclearlife.com/gfwlist
server=/realclearmarkets.com/127.0.0.1#5335
ipset=/realclearmarkets.com/gfwlist
server=/realclearpolicy.com/127.0.0.1#5335
ipset=/realclearpolicy.com/gfwlist
server=/realclearpolitics.com/127.0.0.1#5335
ipset=/realclearpolitics.com/gfwlist
server=/realclearpublicaffairs.com/127.0.0.1#5335
ipset=/realclearpublicaffairs.com/gfwlist
server=/realclearreligion.org/127.0.0.1#5335
ipset=/realclearreligion.org/gfwlist
server=/realclearscience.com/127.0.0.1#5335
ipset=/realclearscience.com/gfwlist
server=/realclearworld.com/127.0.0.1#5335
ipset=/realclearworld.com/gfwlist
server=/realitykings.com/127.0.0.1#5335
ipset=/realitykings.com/gfwlist
server=/realmilwaukeenow.com/127.0.0.1#5335
@ -17082,6 +17118,8 @@ server=/thefind.com/127.0.0.1#5335
ipset=/thefind.com/gfwlist
server=/thefoxnation.com/127.0.0.1#5335
ipset=/thefoxnation.com/gfwlist
server=/thegatewaypundit.com/127.0.0.1#5335
ipset=/thegatewaypundit.com/gfwlist
server=/thegeorgiascene.com/127.0.0.1#5335
ipset=/thegeorgiascene.com/gfwlist
server=/thegooglestore.com/127.0.0.1#5335
@ -19314,6 +19352,8 @@ server=/xn--kput3imi374g.xn--hxt814e/127.0.0.1#5335
ipset=/xn--kput3imi374g.xn--hxt814e/gfwlist
server=/xn--mts47c3w9b1qr.net/127.0.0.1#5335
ipset=/xn--mts47c3w9b1qr.net/gfwlist
server=/xn--ngstr-lra8j.com/127.0.0.1#5335
ipset=/xn--ngstr-lra8j.com/gfwlist
server=/xn--p8j9a0d9c9a.xn--q9jyb4c/127.0.0.1#5335
ipset=/xn--p8j9a0d9c9a.xn--q9jyb4c/gfwlist
server=/xn--q41am8x.com/127.0.0.1#5335

View File

@ -81,19 +81,19 @@ flush_r() {
}
ipset_r() {
ipset -N gmlan hash:net 2>/dev/null
for ip in $LAN_GM_IP; do ipset -! add gmlan $ip; done
[ -f "$IGNORE_LIST" ] && /usr/share/shadowsocksr/chinaipset.sh $IGNORE_LIST
$IPT -N SS_SPEC_WAN_AC
$IPT -I SS_SPEC_WAN_AC -p tcp ! --dport 53 -d $server -j RETURN
ipset -N gmlan hash:net 2>/dev/null
for ip in $LAN_GM_IP; do ipset -! add gmlan $ip; done
case "$RUNMODE" in
router)
set_china_ip
ipset -! -R <<-EOF || return 1
create ss_spec_wan_ac hash:net
$(gen_iplist | sed -e "s/^/add ss_spec_wan_ac /")
$(gen_spec_iplist | sed -e "s/^/add ss_spec_wan_ac /")
EOF
ipset -N gfwlist hash:net 2>/dev/null
$IPT -A SS_SPEC_WAN_AC -m set --match-set ss_spec_wan_ac dst -j RETURN
$IPT -A SS_SPEC_WAN_AC -m set --match-set gmlan src -m set ! --match-set china dst -j SS_SPEC_WAN_FW
$IPT -A SS_SPEC_WAN_AC -m set --match-set china dst -j RETURN
$IPT -A SS_SPEC_WAN_AC -j SS_SPEC_WAN_FW
;;
@ -105,8 +105,8 @@ ipset_r() {
;;
oversea)
ipset -N oversea hash:net 2>/dev/null
ipset -N gmlan hash:net 2>/dev/null
for ip in $LAN_GM_IP; do ipset -! add gmlan $ip; done
$IPT -I SS_SPEC_WAN_AC -m set --match-set oversea dst -j SS_SPEC_WAN_FW
$IPT -A SS_SPEC_WAN_AC -m set --match-set gmlan src -j SS_SPEC_WAN_FW
$IPT -A SS_SPEC_WAN_AC -m set --match-set china dst -j SS_SPEC_WAN_FW
;;
all)
@ -224,7 +224,8 @@ tp_rule() {
$ipt -A SS_SPEC_TPROXY -p udp -d 192.168.0.0/16 -j RETURN
$ipt -A SS_SPEC_TPROXY -p udp -d 224.0.0.0/4 -j RETURN
$ipt -A SS_SPEC_TPROXY -p udp -d 240.0.0.0/4 -j RETURN
$ipt -A SS_SPEC_TPROXY -p udp ! --dport 53 -d $server -j RETURN
$ipt -A SS_SPEC_TPROXY -p udp ! --dport 53 -d $SERVER -j RETURN
[ "$server" != "$SERVER" ] && ipset -! add whitelist $SERVER
$ipt -A SS_SPEC_TPROXY -p udp -m set --match-set bplan src -j RETURN
$ipt -A SS_SPEC_TPROXY -p udp $PROXY_PORTS -m set --match-set fplan src \
-j TPROXY --on-port "$LOCAL_PORT" --tproxy-mark 0x01/0x01
@ -263,32 +264,6 @@ get_wan_ip() {
EOF
}
gen_iplist() {
cat <<-EOF
0.0.0.0/8
10.0.0.0/8
100.64.0.0/10
127.0.0.0/8
169.254.0.0/16
172.16.0.0/12
192.0.0.0/24
192.0.2.0/24
192.88.99.0/24
192.168.0.0/16
198.18.0.0/15
198.51.100.0/24
203.0.113.0/24
224.0.0.0/4
240.0.0.0/4
255.255.255.255
$(get_wan_ip)
EOF
}
set_china_ip() {
[ -f "$IGNORE_LIST" ] && /usr/share/shadowsocksr/chinaipset.sh $IGNORE_LIST
}
gen_spec_iplist() {
cat <<-EOF
0.0.0.0/8
@ -430,5 +405,6 @@ fi
esac
flush_r && fw_rule && ipset_r && ac_rule && tp_rule && gen_include
[ "$?" == 0 ] || loger 3 "Start failed!"
exit $?
RET=$?
[ "$RET" = 0 ] || loger 3 "Start failed!"
exit $RET

View File

@ -1,11 +1,7 @@
#!/bin/sh
LOCK_FILE="/var/lock/ssr-chinaipset.lock"
[ -f "$LOCK_FILE" ] && exit 2
[ -f "$1" ] && china_ip=$1
touch "$LOCK_FILE"
ipset -! flush china 2>/dev/null
ipset -! -R <<-EOF || rm -f $LOCK_FILE && exit 1
ipset -! -R <<-EOF || exit 1
create china hash:net
$(cat ${china_ip:=/etc/ssr/china_ssr.txt} | sed -e "s/^/add china /")
EOF
rm -f $LOCK_FILE

View File

@ -10,16 +10,25 @@ if [ -z "$switch_server" ]; then
else
GLOBAL_SERVER=$switch_server
fi
mkdir -p /tmp/dnsmasq.ssr
if [ "$(uci_get_by_type global run_mode router)" == "oversea" ]; then
cp -rf /etc/ssr/oversea_list.conf /tmp/dnsmasq.ssr/
else
cp -rf /etc/ssr/gfw_list.conf /tmp/dnsmasq.ssr/
cp -rf /etc/ssr/gfw_base.conf /tmp/dnsmasq.ssr/
fi
NETFLIX_SERVER=$(uci_get_by_type global netflix_server nil)
[ "$NETFLIX_SERVER" == "same" ] && NETFLIX_SERVER=$GLOBAL_SERVER
if [ "$NETFLIX_SERVER" != "nil" ]; then
netflix() {
awk '!/^$/&&!/^#/{printf("ipset=/%s/'"netflix"'\n",$0)}' /etc/ssr/netflix.list >/tmp/dnsmasq.ssr/netflix_forward.conf
awk '!/^$/&&!/^#/{printf("server=/%s/'"127.0.0.1#$1"'\n",$0)}' /etc/ssr/netflix.list >>/tmp/dnsmasq.ssr/netflix_forward.conf
if [ -f "/tmp/dnsmasq.ssr/gfw_list.conf" ]; then
for line in $(cat /etc/ssr/netflix.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_list.conf; done
for line in $(cat /etc/ssr/netflix.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_base.conf; done
fi
awk '!/^$/&&!/^#/{printf("ipset=/%s/'"netflix"'\n",$0)}' /etc/ssr/netflix.list >/tmp/dnsmasq.ssr/netflix_forward.conf
awk '!/^$/&&!/^#/{printf("server=/%s/'"127.0.0.1#$1"'\n",$0)}' /etc/ssr/netflix.list >>/tmp/dnsmasq.ssr/netflix_forward.conf
}
if [ "$NETFLIX_SERVER" != "$GLOBAL_SERVER" ]; then
netflix 5555
@ -29,16 +38,16 @@ if [ "$NETFLIX_SERVER" != "nil" ]; then
else
rm -f /tmp/dnsmasq.ssr/netflix_forward.conf
fi
awk '!/^$/&&!/^#/{printf("ipset=/%s/'"blacklist"'\n",$0)}' /etc/ssr/black.list >/tmp/dnsmasq.ssr/blacklist_forward.conf
awk '!/^$/&&!/^#/{printf("server=/%s/'"127.0.0.1#5335"'\n",$0)}' /etc/ssr/black.list >>/tmp/dnsmasq.ssr/blacklist_forward.conf
awk '!/^$/&&!/^#/{printf("ipset=/%s/'"whitelist"'\n",$0)}' /etc/ssr/white.list >/tmp/dnsmasq.ssr/whitelist_forward.conf
awk '!/^$/&&!/^#/{printf("address=/%s/''\n",$0)}' /etc/ssr/deny.list >/tmp/dnsmasq.ssr/denylist.conf
for line in $(cat /etc/ssr/black.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_list.conf; done
for line in $(cat /etc/ssr/black.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_base.conf; done
for line in $(cat /etc/ssr/white.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_list.conf; done
for line in $(cat /etc/ssr/white.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_base.conf; done
for line in $(cat /etc/ssr/deny.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_list.conf; done
for line in $(cat /etc/ssr/deny.list); do sed -i "/$line/d" /tmp/dnsmasq.ssr/gfw_base.conf; done
awk '!/^$/&&!/^#/{printf("ipset=/%s/'"blacklist"'\n",$0)}' /etc/ssr/black.list >/tmp/dnsmasq.ssr/blacklist_forward.conf
awk '!/^$/&&!/^#/{printf("server=/%s/'"127.0.0.1#5335"'\n",$0)}' /etc/ssr/black.list >>/tmp/dnsmasq.ssr/blacklist_forward.conf
awk '!/^$/&&!/^#/{printf("ipset=/%s/'"whitelist"'\n",$0)}' /etc/ssr/white.list >/tmp/dnsmasq.ssr/whitelist_forward.conf
awk '!/^$/&&!/^#/{printf("address=/%s/''\n",$0)}' /etc/ssr/deny.list >/tmp/dnsmasq.ssr/denylist.conf
if [ "$(uci_get_by_type global adblock 0)" == "1" ]; then
[ "$1" == "" ] && cp -f /etc/ssr/ad.conf /tmp/dnsmasq.ssr/
if [ -f "/tmp/dnsmasq.ssr/ad.conf" ]; then

View File

@ -16,6 +16,7 @@ KERNEL_TESTING_PATCHVER:=5.4
include $(INCLUDE_DIR)/target.mk
DEFAULT_PACKAGES += uboot-envtools kmod-gpio-button-hotplug
DEFAULT_PACKAGES += uboot-envtools kmod-gpio-button-hotplug \
autocore-arm
$(eval $(call BuildTarget))